Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.examples.mailreader.memory
Class MemoryUserCreationFactory

    java.lang.Object
      |
      +--org.apache.struts.examples.mailreader.memory.MemoryUserCreationFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

class MemoryUserCreationFactory
extends java.lang.Object
implements org.apache.commons.digester.ObjectCreationFactory

Digester object creation factory for user instances.

Field Summary
`private MemoryUserDatabase` | `database`
`private org.apache.commons.digester.Digester` | `digester`

Constructor Summary
`MemoryUserCreationFactory(MemoryUserDatabase database)`

Method Summary
`java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`
`org.apache.commons.digester.Digester` | `getDigester()`
`void` | `setDigester(org.apache.commons.digester.Digester digester)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### database

    private MemoryUserDatabase database

### digester

    private org.apache.commons.digester.Digester digester

Constructor Detail

### MemoryUserCreationFactory

    public MemoryUserCreationFactory(MemoryUserDatabase database)

Method Detail

### getDigester

    public org.apache.commons.digester.Digester getDigester()

  Specified by:
    `getDigester` in interface `org.apache.commons.digester.ObjectCreationFactory`

### setDigester

    public void setDigester(org.apache.commons.digester.Digester digester)

  Specified by:
    `setDigester` in interface `org.apache.commons.digester.ObjectCreationFactory`

### createObject

    public java.lang.Object createObject(org.xml.sax.Attributes attributes)

  Specified by:
    `createObject` in interface `org.apache.commons.digester.ObjectCreationFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 - The Apache Software Foundation